Bug 1074288 - erlang-rpm-macros installs macros files to /etc/rpm
Summary: erlang-rpm-macros installs macros files to /etc/rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-rpm-macros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: https://lists.fedoraproject.org/piper...
Whiteboard:
Depends On:
Blocks: 1074261
TreeView+ depends on / blocked
 
Reported: 2014-03-09 10:57 UTC by Ville Skyttä
Modified: 2014-06-24 01:56 UTC (History)
3 users (show)

Fixed In Version: erlang-rpm-macros-0.1.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-24 01:55:47 UTC
Type: ---


Attachments (Terms of Use)

Description Ville Skyttä 2014-03-09 10:57:00 UTC
The proper location for rpm macros files in rpm >= 4.11 is
%{_rpmconfigdir}/macros.d, please move them there from /etc/rpm.

If this package's specfile targets Fedora and EL >= 7 only, the
location for macro files can be simply changed from /etc/rpm to
%{_rpmconfigdir}/macros.d. If it is intended to work on EL 5 and/or 6
as well, you can define a macros dir for example as follows (all on
one line) and install the macros to %{macrosdir}:

%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Comment 1 Fedora Update System 2014-06-13 15:37:59 UTC
erlang-rpm-macros-0.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/erlang-rpm-macros-0.1.4-1.fc20

Comment 2 Fedora Update System 2014-06-13 15:38:07 UTC
erlang-rpm-macros-0.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/erlang-rpm-macros-0.1.4-1.fc19

Comment 3 Fedora Update System 2014-06-15 01:49:52 UTC
Package erlang-rpm-macros-0.1.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing erlang-rpm-macros-0.1.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7378/erlang-rpm-macros-0.1.4-1.fc20
then log in and leave karma (feedback).

Comment 4 lnie 2014-06-17 07:22:39 UTC
Tested with  erlang-rpm-macros-0.1.4-1.fc20,
the output of ls /etc/rpm is:
macros.color  macros.gconf2     macros.mono-srpm    macros.perl-srpm
macros.dist   macros.ghc-srpm   macros.nodejs-srpm  macros.prelink
macros.dwz    macros.gnat-srpm  macros.ocaml-srpm
macros.fjava  macros.jpackage   macros.perl
the output of ls /usr/lib/rpm/macros.d is:
macros.erlang  macros.selinux-policy  macros.systemd

Comment 5 Fedora Update System 2014-06-24 01:55:47 UTC
erlang-rpm-macros-0.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-06-24 01:56:00 UTC
erlang-rpm-macros-0.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.